#!/usr/bin/env python
#	  _________________________________________________________
#	 /________________________________________________________/|
#	 |							 |*|
#	 |	name:			PaySlots		 |*|
#	 |	version:		0.4.1			 |*|
#	 |	Last Change:		27. January 2011.	 |*|
#	 |                                                     	 |*|
#	 |	made by:	Jovicic Nemanja (c) 2008.	 |*|
#	 |	email:		nemanja.jovicic@hotmail.com	 |*|
#	 |	homepage: 	http://www.njsoft.iz.rs 	 |*|
#	 |                                                       |*|
#	 |	made in Serbia					 |*|
#	 |_______________________________________________________|/


import sys
try:
 	import pygtk
  	pygtk.require("2.0")
except:
  	pass
try:
	import gtk
  	import gtk.glade
	import random
	import pango
	import gobject
	import os
	from os import system
	from sys import argv
except:
	sys.exit(1)

class PaySlots:

	brsl1=0
	brsl2=0
	brsl3=0
	novi={0: 0, 1: 0, 2:0}
	slot1 = {0: {0: 0, 1: 0, 2:0}, 1: {0: 0, 1: 0, 2:0}, 2: {0: 0, 1: 0, 2:0}}
	slot2 = {0: {0: 0, 1: 0, 2:0}, 1: {0: 0, 1: 0, 2:0}, 2: {0: 0, 1: 0, 2:0}}
	slot3 = {0: {0: 0, 1: 0, 2:0}, 1: {0: 0, 1: 0, 2:0}, 2: {0: 0, 1: 0, 2:0}}

	poeniSlot1=0
	poeniSlot2=0
	poeniSlot3=0
	poeniUkupno=0 #ukupni poeni sa bonusima prikazuje se u total

	replace=4 # 0-nista 1-free 2-for stake 3-potroseno 
                  #4-zavrshena igra posle game overa da bi se na prvi start sve ochistilo a na drugi pochelo igrati

	kredit=30
	superKredit=0
	ulog=1
	superUlog=0
	

	gameOver=True #koristi se kod starta da se resetuje sve na pochetak
	KeyLock=False #blokira pritiskanje tastature... uglavnom se koristi za blinkanje

	blink=False #False kad se slika(label) vidi, True kad se nevidi

	blink_9alike=False
	blink_bonus=0 #sluzi za brojanje koliko bonus treba da blinkne
	blink_3win=False
	blink_2win=False

	mozePodiciUlog=True # true ako se moze podici ulog

	broj113=0
	broj113next=0
	ekran2inUse=False
	
	#finding of self path
	path = argv[0][:argv[0].find('slot.py')].strip()
	
	promasajBrojac=0 # >0 ako je promasheno i broji do 10 (3 sekunde) da bi se zadrzao na ekranu 2
	enableKeyChange=0 # >0 ako se mogu kontrole menjati
#     _____________________________________
#    /__~ KONTROLE ZA SLAGANJE VOCKICA~___/|
#    |					#|*|
	superKreditC = "KP_Enter"	#|*|
	ulogC = "KP_Add"		#|*|
	startC = "KP_0"			#|*|
	kupiC = "KP_2"			#|*|
	slot1C = "z"			#|*|
	slot2C = "x"			#|*|
	slot3C = "c"			#|*|
#    |					#|*|
#    |___________________________________|/
#     _____________________________________
#    /__~ KONTROLE ZA MANJA/VECA~_________/|
#    |					#|*|
	manjaC = "comma"		#|*|
	vecaC = "period"		#|*|
	kasaC = "space"			#|*|
#    |					#|*|
#    |___________________________________|/

	def __init__(self):
				
		#Set the Glade file
		gladefile = str(self.path)+"slot.glade"  
	        self.wTree = gtk.glade.XML(gladefile) 
		
		#Get the Main Window, and connect the "destroy" event
		self.mainWindow = self.wTree.get_widget("mainWindow")

		#add button press event to main window
		self.mainWindow.add_events(gtk.gdk.BUTTON_PRESS_MASK)
		
		#Create our dictionay and connect it
		dic =	{ 
			"on_quit" : gtk.main_quit,
			"on_key_press" : self.keyPress,
			"on_mainWindow_button_press_event" : self.mouseClick,
			"on_new_game1_activate" : self.ponovoIgrati,
			"on_options1_activate" : self.preferencesShow,
			"on_about1_activate" : self.aboutShow,
			"on_quit1_activate" : gtk.main_quit
			}
		self.wTree.signal_autoconnect(dic)

		self.ekran1 = self.wTree.get_widget("ekran1")
		self.ekran2 = self.wTree.get_widget("ekran2")
		self.background1 = self.wTree.get_widget("background1")
		self.nova1 = self.wTree.get_widget("nova1")
		self.nova2 = self.wTree.get_widget("nova2")
		self.nova3 = self.wTree.get_widget("nova3")

		self.i11 = self.wTree.get_widget("i11")
		self.i12 = self.wTree.get_widget("i12")
		self.i13 = self.wTree.get_widget("i13")
		self.i14 = self.wTree.get_widget("i14")
		self.i15 = self.wTree.get_widget("i15")
		self.i16 = self.wTree.get_widget("i16")
		self.i17 = self.wTree.get_widget("i17")
		self.i18 = self.wTree.get_widget("i18")
		self.i19 = self.wTree.get_widget("i19")

		self.i21 = self.wTree.get_widget("i21")
		self.i22 = self.wTree.get_widget("i22")
		self.i23 = self.wTree.get_widget("i23")
		self.i24 = self.wTree.get_widget("i24")
		self.i25 = self.wTree.get_widget("i25")
		self.i26 = self.wTree.get_widget("i26")
		self.i27 = self.wTree.get_widget("i27")
		self.i28 = self.wTree.get_widget("i28")
		self.i29 = self.wTree.get_widget("i29")

		self.i31 = self.wTree.get_widget("i31")
		self.i32 = self.wTree.get_widget("i32")
		self.i33 = self.wTree.get_widget("i33")
		self.i34 = self.wTree.get_widget("i34")
		self.i35 = self.wTree.get_widget("i35")
		self.i36 = self.wTree.get_widget("i36")
		self.i37 = self.wTree.get_widget("i37")
		self.i38 = self.wTree.get_widget("i38")
		self.i39 = self.wTree.get_widget("i39")

		self.i3win = self.wTree.get_widget("3win")
		self.i2win = self.wTree.get_widget("2win")
		self.i9alike = self.wTree.get_widget("9alike")

		self.iReplace = self.wTree.get_widget("replace")
		self.iGameOver = self.wTree.get_widget("gameOver")

		self.iTotal = self.wTree.get_widget("total")
		self.lTotal = self.wTree.get_widget("labelTotal")

		self.iSlotPoen1 = self.wTree.get_widget("poen1")
		self.iSlotPoen2 = self.wTree.get_widget("poen2")
		self.iSlotPoen3 = self.wTree.get_widget("poen3")
		self.lSlotPoen1 = self.wTree.get_widget("labelpoen1")
		self.lSlotPoen2 = self.wTree.get_widget("labelpoen2")
		self.lSlotPoen3 = self.wTree.get_widget("labelpoen3")

		self.lKredit = self.wTree.get_widget("labelKredit")
		self.lStake = self.wTree.get_widget("labelStake")
		self.lSupermeter = self.wTree.get_widget("labelSupermeter")

		self.l1000 = self.wTree.get_widget("label1000")
		self.l750 = self.wTree.get_widget("label750")
		self.l500 = self.wTree.get_widget("label500")
		self.l400 = self.wTree.get_widget("label400")
		self.l300 = self.wTree.get_widget("label300")
		self.l250 = self.wTree.get_widget("label250")
		self.l200 = self.wTree.get_widget("label200")
		self.l150 = self.wTree.get_widget("label150")
		self.l100 = self.wTree.get_widget("label100")

		# ekran2
		self.background2 = self.wTree.get_widget("background2")
		self.ln13 = self.wTree.get_widget("label-13")
		self.ln12 = self.wTree.get_widget("label-12")
		self.ln11 = self.wTree.get_widget("label-11")
		self.ln10 = self.wTree.get_widget("label-10")
		self.ln9 = self.wTree.get_widget("label-9")
		self.ln8 = self.wTree.get_widget("label-8")
		self.ln7 = self.wTree.get_widget("label-7")
		self.ln6 = self.wTree.get_widget("label-6")
		self.ln5 = self.wTree.get_widget("label-5")
		self.ln4 = self.wTree.get_widget("label-4")
		self.ln3 = self.wTree.get_widget("label-3")
		self.ln2 = self.wTree.get_widget("label-2")
		self.ln1 = self.wTree.get_widget("label-1")

		self.lw13= self.wTree.get_widget("label-w200")
		self.lw12 = self.wTree.get_widget("label-w100")
		self.lw11 = self.wTree.get_widget("label-w60")
		self.lw10 = self.wTree.get_widget("label-w40")
		self.lw9 = self.wTree.get_widget("label-w30")
		self.lw8 = self.wTree.get_widget("label-w20")
		self.lw7 = self.wTree.get_widget("label-w15")
		self.lw6 = self.wTree.get_widget("label-w10")
		self.lw5 = self.wTree.get_widget("label-w6")
		self.lw4 = self.wTree.get_widget("label-w4")
		self.lw3 = self.wTree.get_widget("label-w3")
		self.lw2 = self.wTree.get_widget("label-w2")
		self.lw1 = self.wTree.get_widget("label-w0")

		self.iMV = self.wTree.get_widget("imageManjaVeca")
		self.lBrojWin = self.wTree.get_widget("labelBrojWin")
		self.iBroj = self.wTree.get_widget("imageBroj")
		
		self.popup = self.wTree.get_widget("popup")
		#-------------------------------------------

		#uchitavanje startnih slika
		self.background1.set_from_file(str(self.path)+"background/1.png")
		self.i3win.set_from_file(str(self.path)+"bonus/3w.png")
		self.i2win.set_from_file(str(self.path)+"bonus/2w.png")
		self.i9alike.set_from_file(str(self.path)+"bonus/9a.png")
		self.iSlotPoen1.set_from_file(str(self.path)+"other/poeni.png")
		self.iSlotPoen2.set_from_file(str(self.path)+"other/poeni.png")
		self.iSlotPoen3.set_from_file(str(self.path)+"other/poeni.png")
		self.iReplace.set_from_file(str(self.path)+"other/rfree.png")
		self.iGameOver.set_from_file(str(self.path)+"other/gameover.png")
		self.iTotal.set_from_file(str(self.path)+"other/total.png")

		#nameshtanje fonta za labele
		self.lSlotPoen1.modify_font(pango.FontDescription("sans Bold 16"))
		self.lSlotPoen2.modify_font(pango.FontDescription("sans Bold 16"))
		self.lSlotPoen3.modify_font(pango.FontDescription("sans Bold 16"))

		self.lTotal.modify_font(pango.FontDescription("sans Bold 16"))

		self.lKredit.modify_font(pango.FontDescription("sans Bold 16"))
		self.lStake.modify_font(pango.FontDescription("sans Bold 16"))
		self.lSupermeter.modify_font(pango.FontDescription("sans Bold 16"))

		self.l1000.modify_font(pango.FontDescription("sans Bold 14"))
		self.l750.modify_font(pango.FontDescription("sans Bold 14"))
		self.l500.modify_font(pango.FontDescription("sans Bold 14"))
		self.l400.modify_font(pango.FontDescription("sans Bold 14"))
		self.l300.modify_font(pango.FontDescription("sans Bold 14"))
		self.l250.modify_font(pango.FontDescription("sans Bold 14"))
		self.l200.modify_font(pango.FontDescription("sans Bold 14"))
		self.l150.modify_font(pango.FontDescription("sans Bold 14"))
		self.l100.modify_font(pango.FontDescription("sans Bold 14"))

		#upisivanje pochetnih vrednosti u labele...
		self.gtkLabelColored(self.lStake,str(self.ulog),"#FFFFFF",'N')
		self.gtkLabelColored(self.lKredit,str(self.kredit),"#FFFFFF",'N')
		self.gtkLabelColored(self.lSupermeter,str(self.superKredit),"#00923F",'N')


		#ekran 2 na pochetno... fontovi i slike...
		self.background2.set_from_file(str(self.path)+"background/2.png")
		self.ln13.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln12.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln11.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln10.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln9.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln8.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln7.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln6.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln5.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln4.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln3.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln2.modify_font(pango.FontDescription("sans Bold 16"))
		self.ln1.modify_font(pango.FontDescription("sans Bold 16"))

		self.lw13.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw12.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw11.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw10.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw9.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw8.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw7.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw6.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw5.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw4.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw3.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw2.modify_font(pango.FontDescription("sans Bold 20"))
		self.lw1.modify_font(pango.FontDescription("sans Bold 20"))

		self.lBrojWin.modify_font(pango.FontDescription("sans Bold 34"))
		self.iMV.set_from_file(str(self.path)+"other/1.png")
		self.iBroj.set_from_file(str(self.path)+"numbers/1.png")

		#-------------------------------------------


		#Tajmeri za treptanje slika i labela
		gobject.timeout_add(300, self.slotTajmer)		

		#Uchitavanje kontrola iz settings fajla u home direktorijumu
		self.uchitajKontrole()
#----ako se pritisne taster na tastaturi------------------

	def keyPress(self, widget, event):
		import re
		key = gtk.gdk.keyval_name (event.keyval)
		
		#print key
		if key == None : return False

		if self.ekran2inUse == False:
			if key == self.superKreditC and (self.gameOver==True or self.replace==4) : self.prebaciSuperKredit()
			if key == self.ulogC and self.mozePodiciUlog==True : self.povecajUlog()
			if key == self.startC and self.KeyLock==False: self.key_press_start()
			if key == self.kupiC and self.gameOver==False: self.key_press_kupi()
			if key == self.slot1C and self.gameOver==False and self.KeyLock==False and not self.replace==4: self.stavi_u_slot1()
			if key == self.slot2C and self.gameOver==False and self.KeyLock==False and not self.replace==4: self.stavi_u_slot2()
			if key == self.slot3C and self.gameOver==False and self.KeyLock==False and not self.replace==4: self.stavi_u_slot3()
		else:
			if key == self.manjaC and self.promasajBrojac==0 : self.manja()
			if key == self.vecaC and self.promasajBrojac==0 : self.veca()
			if key == self.kasaC and self.promasajBrojac==0 : self.kasa()

#--------------------------------------------------------

#----biranje naizmenichnog elementa od 3 chlana----------
	def randomElement(self):
		ok=False
		while not ok :
			ok=True
			i=0
			for i in range(3):
				choice = int(random.random()*102.99999)

				if choice>=0 and choice<3: self.novi[i]=10#bar
				if choice>=3 and choice<8: self.novi[i]=9#zvono
				if choice>=8 and choice<15: self.novi[i]=8#zvezda
				if choice>=15 and choice<22: self.novi[i]=7#sedmica
				if choice>=22 and choice<29: self.novi[i]=6#lubenica
				if choice>=29 and choice<39: self.novi[i]=5#jagoda
				if choice>=39 and choice<49: self.novi[i]=4#sljiva
				if choice>=49 and choice<64: self.novi[i]=3#limun
				if choice>=64 and choice<79: self.novi[i]=2#kajsija
				if choice>=79 and choice<94: self.novi[i]=1#visnja

				#slot visnje
				if choice>=94 and choice<96:
					self.novi[0]=1
					self.novi[1]=1
					self.novi[2]=1
					i=2
				#slot kajsije
				if choice>=96 and choice<98:
					self.novi[0]=2
					self.novi[1]=2
					self.novi[2]=2
					i=2
				#slot limuna
				if choice>=98 and choice<100:
					self.novi[0]=3
					self.novi[1]=3
					self.novi[2]=3
					i=2
				#slot sljiva
				if choice==100:
					self.novi[0]=4
					self.novi[1]=4
					self.novi[2]=4
					i=2
				#slot jagoda
				if choice==101:
					self.novi[0]=5
					self.novi[1]=5
					self.novi[2]=5
					i=2
				#slot lubenica
				if choice==102:
					self.novi[0]=6
					self.novi[1]=6
					self.novi[2]=6
					i=2
			#nesme 2 bara
			if (self.novi[0]==self.novi[1] and self.novi[1]==10) or (self.novi[2]==self.novi[1] and self.novi[1]==10) or (self.novi[0]==self.novi[2] and self.novi[2]==10):
				ok=False
			#nesme 2 zvona
			if (self.novi[0]==self.novi[1] and self.novi[1]==9) or (self.novi[2]==self.novi[1] and self.novi[1]==9) or (self.novi[0]==self.novi[2] and self.novi[2]==9):
				ok=False
			#nesme 3 zvezde
			if self.novi[0]==self.novi[1] and self.novi[1]==self.novi[2] and self.novi[2]==8:
				ok=False
			#nesme 3 sedmice
			if self.novi[0]==self.novi[1] and self.novi[1]==self.novi[2] and self.novi[2]==7:
				ok=False

		#self.novi[0]=1#####################################################################
		#self.novi[1]=1#####################################################################
		#self.novi[2]=1#####################################################################

		self.nova1.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
		self.nova2.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
		self.nova3.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")
#--------------------------------------------------------

#----stavljanje u prvi slot------------------------------
	def stavi_u_slot1(self):
		self.odblinkniVockice()
		if self.brsl1<3:
			
			self.slot1[0][self.brsl1]=self.novi[0]
			self.slot1[1][self.brsl1]=self.novi[1]
			self.slot1[2][self.brsl1]=self.novi[2]
						
			self.iscrtajSlot(1,self.brsl1,self.novi)
			self.brsl1=self.brsl1+1

			if self.brsl1<3 or self.brsl2<3 or self.brsl3<3:
				self.randomElement()		

		if self.brsl1==3 : 

			self.poeniSlot1=self.izracunajSlot(self.slot1)
			if self.poeniSlot1>0: 

				self.gtkLabelColored(self.lSlotPoen1,str(self.poeniSlot1),"#FFFFFF",'N')
	
				self.lSlotPoen1.show()
				self.iSlotPoen1.show()
	
		if self.brsl1==3 and self.brsl2==3 and self.brsl3==3 :
			self.nova1.set_from_file(str(self.path)+"fruit/0.png")
			self.nova2.set_from_file(str(self.path)+"fruit/0.png")
			self.nova3.set_from_file(str(self.path)+"fruit/0.png")
			self.poeniUkupno=self.saberiPoeneBonus()
			if self.poeniUkupno>0:
				self.gtkLabelColored(self.lTotal,str(self.poeniUkupno),"#FFFFFF",'N')
				self.lTotal.show()
				self.iTotal.show()			
#--------------------------------------------------------

#----stavljanje u drugi slot------------------------------
	def stavi_u_slot2(self):
		self.odblinkniVockice()
		if self.brsl2<3:
			
			self.slot2[0][self.brsl2]=self.novi[0]
			self.slot2[1][self.brsl2]=self.novi[1]
			self.slot2[2][self.brsl2]=self.novi[2]
						
			self.iscrtajSlot(2,self.brsl2,self.novi)
			self.brsl2=self.brsl2+1

			if self.brsl1<3 or self.brsl2<3 or self.brsl3<3:
				self.randomElement()		

		if self.brsl2==3 : 

			self.poeniSlot2=self.izracunajSlot(self.slot2)
			if self.poeniSlot2>0:
				self.gtkLabelColored(self.lSlotPoen2,str(self.poeniSlot2),"#FFFFFF",'N')
				self.lSlotPoen2.show()
				self.iSlotPoen2.show()

		if self.brsl1==3 and self.brsl2==3 and self.brsl3==3 :
			self.nova1.set_from_file(str(self.path)+"fruit/0.png")
			self.nova2.set_from_file(str(self.path)+"fruit/0.png")
			self.nova3.set_from_file(str(self.path)+"fruit/0.png")		
			self.poeniUkupno=self.saberiPoeneBonus()
			if self.poeniUkupno>0:
				self.gtkLabelColored(self.lTotal,str(self.poeniUkupno),"#FFFFFF",'N')
				self.lTotal.show()
				self.iTotal.show()
#--------------------------------------------------------

#----stavljanje u treci slot------------------------------
	def stavi_u_slot3(self):
		self.odblinkniVockice()
		if self.brsl3<3:
			
			self.slot3[0][self.brsl3]=self.novi[0]
			self.slot3[1][self.brsl3]=self.novi[1]
			self.slot3[2][self.brsl3]=self.novi[2]
						
			self.iscrtajSlot(3,self.brsl3,self.novi)
			self.brsl3=self.brsl3+1

			if self.brsl1<3 or self.brsl2<3 or self.brsl3<3:
				self.randomElement()		

		if self.brsl3==3 : 

			self.poeniSlot3=self.izracunajSlot(self.slot3)
			if self.poeniSlot3>0:
				self.gtkLabelColored(self.lSlotPoen3,str(self.poeniSlot3),"#FFFFFF",'N')
				self.lSlotPoen3.show()
				self.iSlotPoen3.show()

		if self.brsl1==3 and self.brsl2==3 and self.brsl3==3 :
			self.nova1.set_from_file(str(self.path)+"fruit/0.png")
			self.nova2.set_from_file(str(self.path)+"fruit/0.png")
			self.nova3.set_from_file(str(self.path)+"fruit/0.png")
			self.poeniUkupno=self.saberiPoeneBonus()
			if self.poeniUkupno>0:
				self.gtkLabelColored(self.lTotal,str(self.poeniUkupno),"#FFFFFF",'N')
				self.lTotal.show()
				self.iTotal.show()
#--------------------------------------------------------

#----Sabiranje ukupnih poena + bonusi--------------------
	def saberiPoeneBonus(self):

		ukupno=0
		#za 3 dobijene - bonus x2
		if self.poeniSlot1>0 and self.poeniSlot2>0 and self.poeniSlot3>0:
			ukupno = int(2*(self.poeniSlot1+self.poeniSlot2+self.poeniSlot3))
			self.blink_3win=True

		#za 2 dobijene (slot1 i slot2) - bonus x1.5
		if self.poeniSlot1>0 and self.poeniSlot2>0 and self.poeniSlot3==0:
			ukupno = int(1.5*(self.poeniSlot1+self.poeniSlot2))
			self.blink_2win=True

		#za 2 dobijene (slot1 i slot3) - bonus x1.5
		if self.poeniSlot1>0 and self.poeniSlot2==0 and self.poeniSlot3>0:
			ukupno = int(1.5*(self.poeniSlot1+self.poeniSlot3))
			self.blink_2win=True

		#za 2 dobijene (slot2 i slot3) - bonus x1.5
		if self.poeniSlot1==0 and self.poeniSlot2>0 and self.poeniSlot3>0:
			ukupno = int(1.5*(self.poeniSlot2+self.poeniSlot3))
			self.blink_2win=True

		#za 1 dobijenu (slot1) - nema bonus
		if self.poeniSlot1>0 and self.poeniSlot2==0 and self.poeniSlot3==0:
			ukupno = self.poeniSlot1

		#za 1 dobijenu (slot2) - nema bonus
		if self.poeniSlot1==0 and self.poeniSlot2>0 and self.poeniSlot3==0:
			ukupno = self.poeniSlot2

		#za 1 dobijenu (slot3) - nema bonus
		if self.poeniSlot1==0 and self.poeniSlot2==0 and self.poeniSlot3>0:
			ukupno = self.poeniSlot3

		return ukupno

#--------------------------------------------------------

#----iscrtavanje slika u slot(u terminal ispis za sad)---
	def iscrtajSlot(self,br_slot,br_kolone,novi):
		#novi kasnije sluzi za slike... da se ne izcrtava ceo slot kao sad u terminalu
		if br_slot==1:
			if br_kolone==0:
				self.i11.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i12.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i13.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")
			if br_kolone==1:
				self.i14.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i15.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i16.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")
			if br_kolone==2:
				self.i17.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i18.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i19.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")

		if br_slot==2:
			if br_kolone==0:
				self.i21.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i22.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i23.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")
			if br_kolone==1:
				self.i24.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i25.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i26.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")
			if br_kolone==2:
				self.i27.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i28.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i29.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")

		if br_slot==3:
			if br_kolone==0:
				self.i31.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i32.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i33.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")
			if br_kolone==1:
				self.i34.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i35.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i36.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")
			if br_kolone==2:
				self.i37.set_from_file(str(self.path)+"fruit/"+str(self.novi[0])+"m.png")
				self.i38.set_from_file(str(self.path)+"fruit/"+str(self.novi[1])+".png")
				self.i39.set_from_file(str(self.path)+"fruit/"+str(self.novi[2])+"m.png")
#--------------------------------------------------------

#----racunanje poena za slotove--------------------------
	def izracunajSlot(self, slot):
		poen=0
		#prvi red
		if slot[0][0]==slot[0][1] and slot[0][1]==slot[0][2]:
			if slot[0][0]==10 : poen=poen+300;
			if slot[0][0]==9 : poen=poen+120;
			if slot[0][0]==8 : poen=poen+60;
			if slot[0][0]==7 : poen=poen+60;
			if slot[0][0]==6 : poen=poen+60;
			if slot[0][0]==5 : poen=poen+40;
			if slot[0][0]==4 : poen=poen+40;
			if slot[0][0]==3 : poen=poen+20;
			if slot[0][0]==2 : poen=poen+20;
			if slot[0][0]==1 : poen=poen+20;
		#drugi red
		if slot[1][0]==slot[1][1] and slot[1][1]==slot[1][2]:
			if slot[1][0]==10 : poen=poen+300;
			if slot[1][0]==9 : poen=poen+120;
			if slot[1][0]==8 : poen=poen+60;
			if slot[1][0]==7 : poen=poen+60;
			if slot[1][0]==6 : poen=poen+60;
			if slot[1][0]==5 : poen=poen+40;
			if slot[1][0]==4 : poen=poen+40;
			if slot[1][0]==3 : poen=poen+20;
			if slot[1][0]==2 : poen=poen+20;
			if slot[1][0]==1 : poen=poen+20;
		#treci red
		if slot[2][0]==slot[2][1] and slot[2][1]==slot[2][2]:
			if slot[2][0]==10 : poen=poen+300;
			if slot[2][0]==9 : poen=poen+120;
			if slot[2][0]==8 : poen=poen+60;
			if slot[2][0]==7 : poen=poen+60;
			if slot[2][0]==6 : poen=poen+60;
			if slot[2][0]==5 : poen=poen+40;
			if slot[2][0]==4 : poen=poen+40;
			if slot[2][0]==3 : poen=poen+20;
			if slot[2][0]==2 : poen=poen+20;
			if slot[2][0]==1 : poen=poen+20;
		# \
		if slot[0][0]==slot[1][1] and slot[1][1]==slot[2][2]:
			if slot[0][0]==10 : poen=poen+300;
			if slot[0][0]==9 : poen=poen+120;
			if slot[0][0]==8 : poen=poen+60;
			if slot[0][0]==7 : poen=poen+60;
			if slot[0][0]==6 : poen=poen+60;
			if slot[0][0]==5 : poen=poen+40;
			if slot[0][0]==4 : poen=poen+40;
			if slot[0][0]==3 : poen=poen+20;
			if slot[0][0]==2 : poen=poen+20;
			if slot[0][0]==1 : poen=poen+20;
		# /
		if slot[2][0]==slot[1][1] and slot[1][1]==slot[0][2]:
			if slot[2][0]==10 : poen=poen+300;
			if slot[2][0]==9 : poen=poen+120;
			if slot[2][0]==8 : poen=poen+60;
			if slot[2][0]==7 : poen=poen+60;
			if slot[2][0]==6 : poen=poen+60;
			if slot[2][0]==5 : poen=poen+40;
			if slot[2][0]==4 : poen=poen+40;
			if slot[2][0]==3 : poen=poen+20;
			if slot[2][0]==2 : poen=poen+20;
			if slot[2][0]==1 : poen=poen+20;
		# ako se dobije 9 istih bonus
		if slot[0][0]==slot[0][1] and slot[0][1]==slot[0][2] and slot[0][2]==slot[1][0] and slot[1][0]==slot[1][1] and slot[1][1]==slot[1][2] and slot[1][2]==slot[2][0] and slot[2][0]==slot[2][1] and slot[2][1]==slot[2][2]:
			poen=poen+200
			self.blink_9alike=True
			self.blink_bonus=0
		return poen
#--------------------------------------------------------
#----kad se stisne start---------------------------------
	def key_press_start(self):

		if self.replace==4 and self.kredit>0 and self.kredit>=self.ulog and self.superKredit>=self.superUlog:
			self.brsl1=0
			self.brsl2=0
			self.brsl3=0
			self.poeniSlot1=0
			self.poeniSlot2=0
			self.poeniSlot3=0
			self.replace=0
			self.gameOver=False
			self.mozePodiciUlog=False
			self.iGameOver.hide()
			
		if self.gameOver==True :

			if self.kredit>0 and self.kredit>=self.ulog and self.superKredit>=self.superUlog:
				self.replace=4
				self.prikazNaPochetnoStanje()

			elif self.superKredit<self.superUlog:
				self.replace=4
				self.prikazNaPochetnoStanje()
				self.ulog=1
				self.superUlog=0
				#ispis ulog..
				self.gtkLabelColored(self.lStake,str(self.ulog),"#FFFFFF",'N')

			elif self.kredit>0 and self.kredit<self.ulog:
				self.replace=4
				self.prikazNaPochetnoStanje()

				self.ulog=self.kredit
				self.superUlog=0
				#ispis ulog..
				self.gtkLabelColored(self.lStake,str(self.ulog),"#FFFFFF",'N')

			elif self.kredit==0 and self.superKredit==0: 
				self.ponovoIgrati()
					
		if self.replace==1 and self.gameOver==False and(self.brsl1>0 or self.brsl2>0 or self.brsl3>0):
			self.randomElement()
			self.iReplace.set_from_file(str(self.path)+"other/rstake.png")
			self.replace=2
	
		if self.brsl1==0 and self.brsl2==0 and self.brsl3==0 and self.kredit>=self.ulog and self.superKredit>=self.superUlog and self.replace==0:
			self.iReplace.set_from_file(str(self.path)+"other/rfree.png")			
			self.iReplace.show()
			self.randomElement()
			self.replace=1

			self.kredit=self.kredit-self.ulog
			self.superKredit=self.superKredit-self.superUlog

			#ispis kredita..
			self.gtkLabelColored(self.lKredit,str(self.kredit),"#FFFFFF",'N')
			self.gtkLabelColored(self.lSupermeter,str(self.superKredit),"#00923F",'N')

					
#--------------------------------------------------------

#----kad se kupuje novi element--------------------------
	def key_press_kupi(self):
		
		if self.replace==2 and self.kredit>=self.ulog and self.superKredit>=self.superUlog:
			self.randomElement()
			self.iReplace.hide()
			self.replace=3

			self.kredit=self.kredit-self.ulog
			self.superKredit=self.superKredit-self.superUlog

			#ispis kredita..
			self.gtkLabelColored(self.lKredit,str(self.kredit),"#FFFFFF",'N')
			self.gtkLabelColored(self.lSupermeter,str(self.superKredit),"#00923F",'N')

#-------------------------------------------------------

#----da li se iscrtava game over ili se igra veca manja-
	def gameOverIliVecaManja(self):

		if self.poeniUkupno<100:			
			if self.gameOver==False: 
				self.iGameOver.show()
			self.mozePodiciUlog=True
			self.gameOver=True
		elif self.poeniUkupno<1000:
			self.ekran2_init()
			self.ekran2inUse=True
			self.ekran1.hide()
			self.ekran2.show()
		elif self.poeniUkupno>999:
			self.superKredit=self.superKredit+(self.ulog+self.superUlog)*200
			self.gtkLabelColored(self.lSupermeter,str(self.superKredit),"#00923F",'N')
			self.mozePodiciUlog=True
			self.gameOver=True
			self.poeniUkupno=0
		
#-------------------------------------------------------

#----vracanje prikaza i nekih promenljivih na pochetno--
	def prikazNaPochetnoStanje(self):
		#vracanje slika na hide

		self.nova1.set_from_file(str(self.path)+"fruit/0.png")
		self.nova2.set_from_file(str(self.path)+"fruit/0.png")
		self.nova3.set_from_file(str(self.path)+"fruit/0.png")

		self.i11.set_from_file(str(self.path)+"fruit/0.png")
		self.i12.set_from_file(str(self.path)+"fruit/0.png")
		self.i13.set_from_file(str(self.path)+"fruit/0.png")
		self.i14.set_from_file(str(self.path)+"fruit/0.png")
		self.i15.set_from_file(str(self.path)+"fruit/0.png")
		self.i16.set_from_file(str(self.path)+"fruit/0.png")
		self.i17.set_from_file(str(self.path)+"fruit/0.png")
		self.i18.set_from_file(str(self.path)+"fruit/0.png")
		self.i19.set_from_file(str(self.path)+"fruit/0.png")

		self.i21.set_from_file(str(self.path)+"fruit/0.png")
		self.i22.set_from_file(str(self.path)+"fruit/0.png")
		self.i23.set_from_file(str(self.path)+"fruit/0.png")
		self.i24.set_from_file(str(self.path)+"fruit/0.png")
		self.i25.set_from_file(str(self.path)+"fruit/0.png")
		self.i26.set_from_file(str(self.path)+"fruit/0.png")
		self.i27.set_from_file(str(self.path)+"fruit/0.png")
		self.i28.set_from_file(str(self.path)+"fruit/0.png")
		self.i29.set_from_file(str(self.path)+"fruit/0.png")

		self.i31.set_from_file(str(self.path)+"fruit/0.png")
		self.i32.set_from_file(str(self.path)+"fruit/0.png")
		self.i33.set_from_file(str(self.path)+"fruit/0.png")
		self.i34.set_from_file(str(self.path)+"fruit/0.png")
		self.i35.set_from_file(str(self.path)+"fruit/0.png")
		self.i36.set_from_file(str(self.path)+"fruit/0.png")
		self.i37.set_from_file(str(self.path)+"fruit/0.png")
		self.i38.set_from_file(str(self.path)+"fruit/0.png")
		self.i39.set_from_file(str(self.path)+"fruit/0.png")

		self.iReplace.hide()
		self.iGameOver.hide()

		self.iTotal.hide()
		self.lTotal.hide()

		self.iSlotPoen1.hide()
		self.iSlotPoen2.hide()
		self.iSlotPoen3.hide()
		self.lSlotPoen1.hide()
		self.lSlotPoen2.hide()
		self.lSlotPoen3.hide()

#-------------------------------------------------------

#----Povecavanje uloga----------------------------------
	def povecajUlog(self):
	
		if self.ulog<self.kredit and self.superUlog<=self.superKredit and self.kredit>=10 and self.superKredit>=8:
			
			if (self.ulog==2 and self.superUlog==8 and self.superKredit<12)or(self.ulog==3 and self.superUlog==12 and self.superKredit<16) or (self.ulog==4 and self.superUlog==16 and self.superKredit<20)or(self.ulog==5 and self.superUlog==20):
				self.ulog=0
				self.superUlog=0

			if self.ulog<10 and self.superUlog==0:
				self.ulog=self.ulog+1
			elif self.ulog==4 and self.superUlog==16 and self.superKredit>=20:
				self.ulog=5
				self.superUlog=20

			elif self.ulog==3 and self.superUlog==12 and self.superKredit>=16:
				self.ulog=4
				self.superUlog=16

			elif self.ulog==2 and self.superUlog==8 and self.superKredit>=12:
				self.ulog=3
				self.superUlog=12

			elif self.ulog==10 and self.superUlog==0 and self.superKredit>=8:
				self.ulog=2
				self.superUlog=8

		elif self.ulog<self.kredit and self.kredit<=10:
			self.ulog=self.ulog+1
			self.superUlog=0
		elif self.ulog<10:
			self.ulog=self.ulog+1
		else:
			self.ulog=1

		if self.superUlog==0 :
			self.gtkLabelColored(self.lStake,str(self.ulog),"#FFFFFF",'N')
		else:
			self.lStake.set_markup("<span foreground='#FFFFFF'>"+str(self.ulog)+"</span><span foreground='#00923F'>+"+str(self.superUlog)+"</span>")

		self.gtkLabelColored(self.l1000,str((self.ulog+self.superUlog)*200),"#FFc400",'N')
		self.gtkLabelColored(self.l750,str((self.ulog+self.superUlog)*100),"#FFc400",'N')
		self.gtkLabelColored(self.l500,str((self.ulog+self.superUlog)*40),"#FFc400",'N')
		self.gtkLabelColored(self.l400,str((self.ulog+self.superUlog)*20),"#FFc400",'N')
		self.gtkLabelColored(self.l300,str((self.ulog+self.superUlog)*10),"#FFc400",'N')
		self.gtkLabelColored(self.l250,str((self.ulog+self.superUlog)*6),"#FFc400",'N')
		self.gtkLabelColored(self.l200,str((self.ulog+self.superUlog)*4),"#FFc400",'N')
		self.gtkLabelColored(self.l150,str((self.ulog+self.superUlog)*3),"#FFc400",'N')
		self.gtkLabelColored(self.l100,str((self.ulog+self.superUlog)*2),"#FFc400",'N')

			

#-------------------------------------------------------

#----dialog za ponovo igranje ili kraj------------------
	def ponovoIgrati(self, event=0):
		self.mainWindow.set_sensitive(False)

		dialog = gtk.Dialog("Play again?")
		dialog.resize(250, 100)
		dialog.add_buttons(gtk.STOCK_OK, gtk.RESPONSE_OK, 
			gtk.STOCK_CANCEL, gtk.RESPONSE_CANCEL)

		label = gtk.Label()
		label.set_text("Do you want to play again?")
		dialog.vbox.add(label)
		label.show()		

		# run dialog
		response = dialog.run()
		if response == gtk.RESPONSE_OK:
			#sve na pochetno stanje
			self.brsl1=0
			self.brsl2=0
			self.brsl3=0
			self.novi={0: 0, 1: 0, 2:0}
			self.slot1 = {0: {0: 0, 1: 0, 2:0}, 1: {0: 0, 1: 0, 2:0}, 2: {0: 0, 1: 0, 2:0}}
			self.slot2 = {0: {0: 0, 1: 0, 2:0}, 1: {0: 0, 1: 0, 2:0}, 2: {0: 0, 1: 0, 2:0}}
			self.slot3 = {0: {0: 0, 1: 0, 2:0}, 1: {0: 0, 1: 0, 2:0}, 2: {0: 0, 1: 0, 2:0}}
			self.poeniSlot1=0
			self.poeniSlot2=0
			self.poeniSlot3=0
			self.poeniUkupno=0 
			self.replace=4
			self.kredit=30
			self.superKredit=0
			self.ulog=1
			self.superUlog=0
			self.osvojeniKrediti=0
			self.ekran2inUse=False
			self.ekran1.show()
			self.ekran2.hide()
			self.gameOver=False
			self.mozePodiciUlog=True
	
			#ispis kredita.. 
			self.gtkLabelColored(self.lStake,str(self.ulog),"#FFFFFF",'N')
			self.gtkLabelColored(self.lKredit,str(self.kredit),"#FFFFFF",'N')
			self.gtkLabelColored(self.lSupermeter,str(self.superKredit),"#00923F",'N')

			self.prikazNaPochetnoStanje()
			
		if response == gtk.RESPONSE_CANCEL:
			self.replace=5
		dialog.hide()
		#zasivljivanje mainWindowa
		self.mainWindow.set_sensitive(True)
					
#-------------------------------------------------------

#----prebacivanje superkredita u kredit-----------------
	def prebaciSuperKredit(self):
		if self.superKredit<5:
			self.kredit=self.kredit+self.superKredit
			self.superKredit=0
		else:
			self.kredit=self.kredit+5
			self.superKredit=self.superKredit-5
		
		if self.superKredit<self.superUlog:
			self.superUlog=0
			self.ulog=1
			self.gtkLabelColored(self.lStake,str(self.ulog),"#FFFFFF",'N')

		self.gtkLabelColored(self.lKredit,str(self.kredit),"#FFFFFF",'N')
		self.gtkLabelColored(self.lSupermeter,str(self.superKredit),"#00923F",'N')

#-------------------------------------------------------

#----funkcija za ispis labela u boji--------------------
	def gtkLabelColored(self,label,text,fg,bg):
		if fg== 'N':
			label.set_markup("<span background='"+bg+"'>"+text+"</span>")
		elif bg== 'N':
			label.set_markup("<span foreground='"+fg+"'>"+text+"</span>")
		else:
			label.set_markup("<span background='"+bg+"' foreground='"+fg+"'>"+text+"</span>")

#-------------------------------------------------------

#----Tajmer za treptanje slika i labela-----------------
#----v0.2 dodato da sacheka malo kad se promashi--------
	def slotTajmer(self):
		if self.ekran2inUse==False:
			#blink vockica
			if self.blink==False:
				self.blinkniVockice()
				self.blink=True
			else:
				self.odblinkniVockice()
				self.blink=False

			#blink 9alike bonusa
			if self.blink_9alike==True:
				self.KeyLock=True
				if self.blink_bonus%2==0:
					self.i9alike.show()
				else:
					self.i9alike.hide()
				self.blink_bonus=self.blink_bonus+1
				if self.blink_bonus==7:
					self.blink_bonus=0
					self.KeyLock=False
					self.blink_9alike=False
			#blink 3win bonusa
			elif self.blink_3win==True:
				self.KeyLock=True
				if self.blink_bonus%2==0:
					self.i3win.show()
				else:
					self.i3win.hide()
				self.blink_bonus=self.blink_bonus+1
				if self.blink_bonus==7:
					self.blink_bonus=0
					self.KeyLock=False
					self.blink_3win=False

			#blink 2win bonusa
			elif self.blink_2win==True:
				self.KeyLock=True
				if self.blink_bonus%2==0:
					self.i2win.show()
				else:
					self.i2win.hide()
				self.blink_bonus=self.blink_bonus+1
				if self.blink_bonus==7:
					self.blink_bonus=0
					self.KeyLock=False
					self.blink_2win=False
			elif self.brsl1==3 and self.brsl2==3 and self.brsl3==3 and self.ekran2inUse==False:
				self.gameOverIliVecaManja()
			
		else:
			#blink za manja veca labeli i slike
			if self.blink==False and self.promasajBrojac==0:
				# label0 uvek blinka
				self.gtkLabelColored(self.lw1,"0","#f7020a",'N')

				if self.osvojeniKrediti == (self.ulog+self.superUlog)*2:
					self.gtkLabelColored(self.lw2,str((self.ulog+self.superUlog)*2),"#f7020a",'N')
					self.gtkLabelColored(self.lw3,str((self.ulog+self.superUlog)*3),"#f7020a",'N')

				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*3:
					self.gtkLabelColored(self.lw3,str((self.ulog+self.superUlog)*3),"#f7020a",'N')
					self.gtkLabelColored(self.lw4,str((self.ulog+self.superUlog)*4),"#f7020a",'N')
				
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*4:
					self.gtkLabelColored(self.lw4,str((self.ulog+self.superUlog)*4),"#f7020a",'N')
					self.gtkLabelColored(self.lw5,str((self.ulog+self.superUlog)*6),"#f7020a",'N')

				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*6:
					self.gtkLabelColored(self.lw5,str((self.ulog+self.superUlog)*6),"#f7020a",'N')
					self.gtkLabelColored(self.lw6,str((self.ulog+self.superUlog)*10),"#f7020a",'N')

				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*10:
					self.gtkLabelColored(self.lw6,str((self.ulog+self.superUlog)*10),"#f7020a",'N')
					self.gtkLabelColored(self.lw7,str((self.ulog+self.superUlog)*15),"#f7020a",'N')
			
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*15:
					self.gtkLabelColored(self.lw7,str((self.ulog+self.superUlog)*15),"#f7020a",'N')
					self.gtkLabelColored(self.lw8,str((self.ulog+self.superUlog)*20),"#f7020a",'N')
		
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*20:
					self.gtkLabelColored(self.lw8,str((self.ulog+self.superUlog)*20),"#f7020a",'N')
					self.gtkLabelColored(self.lw9,str((self.ulog+self.superUlog)*30),"#f7020a",'N')

				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*30:
					self.gtkLabelColored(self.lw9,str((self.ulog+self.superUlog)*30),"#f7020a",'N')
					self.gtkLabelColored(self.lw10,str((self.ulog+self.superUlog)*40),"#f7020a",'N')
		
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*40:
					self.gtkLabelColored(self.lw10,str((self.ulog+self.superUlog)*40),"#f7020a",'N')
					self.gtkLabelColored(self.lw11,str((self.ulog+self.superUlog)*60),"#f7020a",'N')

				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*60:
					self.gtkLabelColored(self.lw11,str((self.ulog+self.superUlog)*60),"#f7020a",'N')
					self.gtkLabelColored(self.lw12,str((self.ulog+self.superUlog)*100),"#f7020a",'N')

				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*100:
					self.gtkLabelColored(self.lw12,str((self.ulog+self.superUlog)*100),"#f7020a",'N')
					self.gtkLabelColored(self.lw13,str((self.ulog+self.superUlog)*200),"#f7020a",'N')
				self.iMV.set_from_file(str(self.path)+"other/1.png")
				self.blink=True

			elif self.blink==True and self.promasajBrojac==0:
				self.gtkLabelColored(self.lw13,str((self.ulog+self.superUlog)*200),"#221d6a",'N')
				self.gtkLabelColored(self.lw12,str((self.ulog+self.superUlog)*100),"#221d6a",'N')
				self.gtkLabelColored(self.lw11,str((self.ulog+self.superUlog)*60),"#221d6a",'N')
				self.gtkLabelColored(self.lw10,str((self.ulog+self.superUlog)*40),"#221d6a",'N')
				self.gtkLabelColored(self.lw9,str((self.ulog+self.superUlog)*30),"#221d6a",'N')
				self.gtkLabelColored(self.lw8,str((self.ulog+self.superUlog)*20),"#221d6a",'N')
				self.gtkLabelColored(self.lw7,str((self.ulog+self.superUlog)*15),"#221d6a",'N')
				self.gtkLabelColored(self.lw6,str((self.ulog+self.superUlog)*10),"#221d6a",'N')
				self.gtkLabelColored(self.lw5,str((self.ulog+self.superUlog)*6),"#221d6a",'N')
				self.gtkLabelColored(self.lw4,str((self.ulog+self.superUlog)*4),"#221d6a",'N')
				self.gtkLabelColored(self.lw3,str((self.ulog+self.superUlog)*3),"#221d6a",'N')
				self.gtkLabelColored(self.lw2,str((self.ulog+self.superUlog)*2),"#221d6a",'N')
				self.gtkLabelColored(self.lw1,"0","#221d6a",'N')

				if self.osvojeniKrediti == (self.ulog+self.superUlog)*2:
					self.gtkLabelColored(self.lw2,str((self.ulog+self.superUlog)*2),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*3:
					self.gtkLabelColored(self.lw3,str((self.ulog+self.superUlog)*3),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*4:
					self.gtkLabelColored(self.lw4,str((self.ulog+self.superUlog)*4),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*6:
					self.gtkLabelColored(self.lw5,str((self.ulog+self.superUlog)*6),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*10:
					self.gtkLabelColored(self.lw6,str((self.ulog+self.superUlog)*10),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*15:
					self.gtkLabelColored(self.lw7,str((self.ulog+self.superUlog)*15),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*20:
					self.gtkLabelColored(self.lw8,str((self.ulog+self.superUlog)*20),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*30:
					self.gtkLabelColored(self.lw9,str((self.ulog+self.superUlog)*30),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*40:
					self.gtkLabelColored(self.lw10,str((self.ulog+self.superUlog)*40),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*60:
					self.gtkLabelColored(self.lw11,str((self.ulog+self.superUlog)*60),"#f7020a",'N')
				elif self.osvojeniKrediti == (self.ulog+self.superUlog)*100:
					self.gtkLabelColored(self.lw12,str((self.ulog+self.superUlog)*100),"#f7020a",'N')
				self.iMV.set_from_file(str(self.path)+"other/2.png")
				self.blink=False
			#v0.2 zadrzavanje na ekranu 2 usled promashaja 2.1 sekunde
			elif self.promasajBrojac>0:
				if self.promasajBrojac==7: 
					self.promasajBrojac=0
					self.ekran2inUse=False
					self.ekran1.show()
					self.ekran2.hide()
					self.brsl1=0
					self.brsl2=0
					self.brsl3=0
					self.poeniSlot1=0
					self.poeniSlot2=0
					self.poeniSlot3=0
					self.replace=4
					self.gameOver=True
					self.mozePodiciUlog=True
					self.prikazNaPochetnoStanje()
					self.gtkLabelColored(self.lKredit,str(self.kredit),"#FFFFFF",'N')
					self.gtkLabelColored(self.lSupermeter,str(self.superKredit),"#00923F",'N')
					if self.kredit==0 and self.superKredit==0: 
						self.ponovoIgrati()
				else:
					self.promasajBrojac = self.promasajBrojac+1
					
					
					
		return True
		
#-------------------------------------------------------
#----funkcija za blink (hide) vockica-------------------
	def blinkniVockice(self):
		#za slot1
		if self.brsl1==1:
			if self.slot1[0][0]==self.novi[0] or self.slot1[0][0]==self.novi[1]:
				self.i11.hide()
			if self.slot1[1][0]==self.novi[1]:
				self.i12.hide()
			if self.slot1[2][0]==self.novi[2] or self.slot1[2][0]==self.novi[1]:
				self.i13.hide()

		if self.brsl1==2:
			#-
			if self.slot1[0][0]==self.slot1[0][1] and self.slot1[0][1]==self.novi[0]:
				self.i11.hide()
				self.i14.hide()
			#\
			if self.slot1[0][0]==self.slot1[1][1] and self.slot1[1][1]==self.novi[2]:
				self.i11.hide()
				self.i15.hide()
			#--
			if self.slot1[1][0]==self.slot1[1][1] and self.slot1[1][1]==self.novi[1]:
				self.i12.hide()
				self.i15.hide()
			#---
			if self.slot1[2][0]==self.slot1[2][1] and self.slot1[2][1]==self.novi[2]:
				self.i13.hide()
				self.i16.hide()
			#/
			if self.slot1[2][0]==self.slot1[1][1] and self.slot1[1][1]==self.novi[0]:
				self.i13.hide()
				self.i15.hide()
		#za slot2
		if self.brsl2==1:
			if self.slot2[0][0]==self.novi[0] or self.slot2[0][0]==self.novi[1]:
				self.i21.hide()
			if self.slot2[1][0]==self.novi[1]:
				self.i22.hide()
			if self.slot2[2][0]==self.novi[2] or self.slot2[2][0]==self.novi[1]:
				self.i23.hide()

		if self.brsl2==2:
			#-
			if self.slot2[0][0]==self.slot2[0][1] and self.slot2[0][1]==self.novi[0]:
				self.i21.hide()
				self.i24.hide()
			#\
			if self.slot2[0][0]==self.slot2[1][1] and self.slot2[1][1]==self.novi[2]:
				self.i21.hide()
				self.i25.hide()
			#--
			if self.slot2[1][0]==self.slot2[1][1] and self.slot2[1][1]==self.novi[1]:
				self.i22.hide()
				self.i25.hide()
			#---
			if self.slot2[2][0]==self.slot2[2][1] and self.slot2[2][1]==self.novi[2]:
				self.i23.hide()
				self.i26.hide()
			#/
			if self.slot2[2][0]==self.slot2[1][1] and self.slot2[1][1]==self.novi[0]:
				self.i23.hide()
				self.i25.hide()

		#za slot3
		if self.brsl3==1:
			if self.slot3[0][0]==self.novi[0] or self.slot3[0][0]==self.novi[1]:
				self.i31.hide()
			if self.slot3[1][0]==self.novi[1]:
				self.i32.hide()
			if self.slot3[2][0]==self.novi[2] or self.slot3[2][0]==self.novi[1]:
				self.i33.hide()

		if self.brsl3==2:
			#-
			if self.slot3[0][0]==self.slot3[0][1] and self.slot3[0][1]==self.novi[0]:
				self.i31.hide()
				self.i34.hide()
			#\
			if self.slot3[0][0]==self.slot3[1][1] and self.slot3[1][1]==self.novi[2]:
				self.i31.hide()
				self.i35.hide()
			#--
			if self.slot3[1][0]==self.slot3[1][1] and self.slot3[1][1]==self.novi[1]:
				self.i32.hide()
				self.i35.hide()
			#---
			if self.slot3[2][0]==self.slot3[2][1] and self.slot3[2][1]==self.novi[2]:
				self.i33.hide()
				self.i36.hide()
			#/
			if self.slot3[2][0]==self.slot3[1][1] and self.slot3[1][1]==self.novi[0]:
				self.i33.hide()
				self.i35.hide()			
#-------------------------------------------------------
#----funkcija za odblink (show) vockica-----------------
	def odblinkniVockice(self):
		self.i11.show()
		self.i12.show()
		self.i13.show()
		self.i14.show()
		self.i15.show()
		self.i16.show()

		self.i21.show()
		self.i22.show()
		self.i23.show()
		self.i24.show()
		self.i25.show()
		self.i26.show()

		self.i31.show()
		self.i32.show()
		self.i33.show()
		self.i34.show()
		self.i35.show()
		self.i36.show()
#-------------------------------------------------------

#----podesavanje pocetnog prikaza ekrana 2--------------
	def ekran2_init(self):
	
		if self.poeniUkupno<150 : self.osvojeniKrediti = (self.ulog+self.superUlog)*2
		elif self.poeniUkupno<200 : self.osvojeniKrediti = (self.ulog+self.superUlog)*3
		elif self.poeniUkupno<250 : self.osvojeniKrediti = (self.ulog+self.superUlog)*4
		elif self.poeniUkupno<300 : self.osvojeniKrediti = (self.ulog+self.superUlog)*6
		elif self.poeniUkupno<400 : self.osvojeniKrediti = (self.ulog+self.superUlog)*10
		elif self.poeniUkupno<500 : self.osvojeniKrediti = (self.ulog+self.superUlog)*20
		elif self.poeniUkupno<750 : self.osvojeniKrediti = (self.ulog+self.superUlog)*40
		elif self.poeniUkupno<1000 : self.osvojeniKrediti = (self.ulog+self.superUlog)*100
		elif self.poeniUkupno>=1000 : self.osvojeniKrediti = (self.ulog+self.superUlog)*200

		self.gtkLabelColored(self.lBrojWin,str(self.osvojeniKrediti),"#f7020a",'N')
		self.broj113next = self.random13()
		self.pripremiBrojILabele()
#-------------------------------------------------------

#----generisanje 1-13 za manja veca---------------------
	def random13(self):
		choice=0
		while self.broj113 == choice or choice==0 or choice==14:
			choice = int(random.random()*13+1)
		return choice
#-------------------------------------------------------

#----Ispis random 1-13 broja----------------------
	def ispishiBroj(self,broj):
		
		self.iBroj.set_from_file(str(self.path)+"numbers/"+str(broj)+".png")
		
		if broj==13: self.gtkLabelColored(self.ln13,"   13    ","#ffffff","#f7020a")
		elif broj==12: self.gtkLabelColored(self.ln12,"   12    ","#ffffff","#f7020a")
		elif broj==11: self.gtkLabelColored(self.ln11,"   11    ","#ffffff","#f7020a")
		elif broj==10: self.gtkLabelColored(self.ln10,"   10    ","#ffffff","#f7020a")
		elif broj==9: self.gtkLabelColored(self.ln9,"    9    ","#ffffff","#f7020a")
		elif broj==8: self.gtkLabelColored(self.ln8,"    8    ","#ffffff","#f7020a")
		elif broj==7: self.gtkLabelColored(self.ln7,"    7    ","#ffffff","#f7020a")
		elif broj==6: self.gtkLabelColored(self.ln6,"    6    ","#ffffff","#f7020a")
		elif broj==5: self.gtkLabelColored(self.ln5,"    5    ","#ffffff","#f7020a")
		elif broj==4: self.gtkLabelColored(self.ln4,"    4    ","#ffffff","#f7020a")
		elif broj==3: self.gtkLabelColored(self.ln3,"    3    ","#ffffff","#f7020a")
		elif broj==2: self.gtkLabelColored(self.ln2,"    2    ","#ffffff","#f7020a")
		elif broj==1: self.gtkLabelColored(self.ln1,"    1    ","#ffffff","#f7020a")
#-------------------------------------------------

#----ako se stisne kasa---------------------------
	def kasa(self):
		self.superKredit=self.superKredit+self.osvojeniKrediti
		self.osvojeniKrediti=0
		self.ekran2inUse=False
		self.ekran1.show()
		self.ekran2.hide()
		self.brsl1=0
		self.brsl2=0
		self.brsl3=0
		self.poeniSlot1=0
		self.poeniSlot2=0
		self.poeniSlot3=0
		self.replace=4
		self.gameOver=False
		self.mozePodiciUlog=True
		self.prikazNaPochetnoStanje()
		self.gtkLabelColored(self.lKredit,str(self.kredit),"#FFFFFF",'N')
		self.gtkLabelColored(self.lSupermeter,str(self.superKredit),"#00923F",'N')

#-------------------------------------------------

#----promasaj-------------------------------------
	def promasaj(self):
		self.osvojeniKrediti=0
		self.gtkLabelColored(self.lBrojWin,str(self.osvojeniKrediti),"#f7020a",'N')
		self.promasajBrojac=1
		self.gtkLabelColored(self.lw13,str((self.ulog+self.superUlog)*200),"#221d6a",'N')
		self.gtkLabelColored(self.lw12,str((self.ulog+self.superUlog)*100),"#221d6a",'N')
		self.gtkLabelColored(self.lw11,str((self.ulog+self.superUlog)*60),"#221d6a",'N')
		self.gtkLabelColored(self.lw10,str((self.ulog+self.superUlog)*40),"#221d6a",'N')
		self.gtkLabelColored(self.lw9,str((self.ulog+self.superUlog)*30),"#221d6a",'N')
		self.gtkLabelColored(self.lw8,str((self.ulog+self.superUlog)*20),"#221d6a",'N')
		self.gtkLabelColored(self.lw7,str((self.ulog+self.superUlog)*15),"#221d6a",'N')
		self.gtkLabelColored(self.lw6,str((self.ulog+self.superUlog)*10),"#221d6a",'N')
		self.gtkLabelColored(self.lw5,str((self.ulog+self.superUlog)*6),"#221d6a",'N')
		self.gtkLabelColored(self.lw4,str((self.ulog+self.superUlog)*4),"#221d6a",'N')
		self.gtkLabelColored(self.lw3,str((self.ulog+self.superUlog)*3),"#221d6a",'N')
		self.gtkLabelColored(self.lw2,str((self.ulog+self.superUlog)*2),"#221d6a",'N')
		self.gtkLabelColored(self.lw1,"0","#f7020a",'N')

		self.gtkLabelColored(self.ln13,"   13    ","#000000",'N')
		self.gtkLabelColored(self.ln12,"   12    ","#000000",'N')
		self.gtkLabelColored(self.ln11,"   11    ","#000000",'N')
		self.gtkLabelColored(self.ln10,"   10    ","#000000",'N')
		self.gtkLabelColored(self.ln9,"    9    ","#000000",'N')
		self.gtkLabelColored(self.ln8,"    8    ","#000000",'N')
		self.gtkLabelColored(self.ln7,"    7    ","#000000",'N')
		self.gtkLabelColored(self.ln6,"    6    ","#000000",'N')
		self.gtkLabelColored(self.ln5,"    5    ","#000000",'N')
		self.gtkLabelColored(self.ln4,"    4    ","#000000",'N')
		self.gtkLabelColored(self.ln3,"    3    ","#000000",'N')
		self.gtkLabelColored(self.ln2,"    2    ","#000000",'N')
		self.gtkLabelColored(self.ln1,"    1    ","#000000",'N')

		self.ispishiBroj(self.broj113next)
		
#-------------------------------------------------

#----ako se pogodi u manja veca-------------------
	def pogodak(self):
		if self.osvojeniKrediti == (self.ulog+self.superUlog)*2: self.osvojeniKrediti = (self.ulog+self.superUlog)*3
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*3: self.osvojeniKrediti = (self.ulog+self.superUlog)*4
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*4: self.osvojeniKrediti = (self.ulog+self.superUlog)*6
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*6: self.osvojeniKrediti = (self.ulog+self.superUlog)*10
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*10: self.osvojeniKrediti = (self.ulog+self.superUlog)*15
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*15: self.osvojeniKrediti = (self.ulog+self.superUlog)*20	
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*20: self.osvojeniKrediti = (self.ulog+self.superUlog)*30	
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*30: self.osvojeniKrediti = (self.ulog+self.superUlog)*40
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*40: self.osvojeniKrediti = (self.ulog+self.superUlog)*60
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*60: self.osvojeniKrediti = (self.ulog+self.superUlog)*100
		elif self.osvojeniKrediti == (self.ulog+self.superUlog)*100:
			self.osvojeniKrediti = (self.ulog+self.superUlog)*200
			self.kasa()
		self.gtkLabelColored(self.lBrojWin,str(self.osvojeniKrediti),"#f7020a",'N')
		self.pripremiBrojILabele()
					

#-------------------------------------------------

#----Manja----------------------------------------
	def manja(self):
		if self.broj113==1: return False #nemoze se stisnuti manja kad je predhodni broj 1

		if self.broj113next<self.broj113:
			self.pogodak()
		else:
			self.promasaj()
#-------------------------------------------------

#----Veca----------------------------------------
	def veca(self):
		if self.broj113==13: return False #nemoze se stisnuti veca kad je predhodni broj 13

		if self.broj113next>self.broj113:
			self.pogodak()
		else:
			self.promasaj()
#-------------------------------------------------

#----priprema novog broja i labela...-------------
	def pripremiBrojILabele(self):
		self.gtkLabelColored(self.ln13,"   13    ","#000000",'N')
		self.gtkLabelColored(self.ln12,"   12    ","#000000",'N')
		self.gtkLabelColored(self.ln11,"   11    ","#000000",'N')
		self.gtkLabelColored(self.ln10,"   10    ","#000000",'N')
		self.gtkLabelColored(self.ln9,"    9    ","#000000",'N')
		self.gtkLabelColored(self.ln8,"    8    ","#000000",'N')
		self.gtkLabelColored(self.ln7,"    7    ","#000000",'N')
		self.gtkLabelColored(self.ln6,"    6    ","#000000",'N')
		self.gtkLabelColored(self.ln5,"    5    ","#000000",'N')
		self.gtkLabelColored(self.ln4,"    4    ","#000000",'N')
		self.gtkLabelColored(self.ln3,"    3    ","#000000",'N')
		self.gtkLabelColored(self.ln2,"    2    ","#000000",'N')
		self.gtkLabelColored(self.ln1,"    1    ","#000000",'N')

		self.gtkLabelColored(self.lw13,str((self.ulog+self.superUlog)*200),"#221d6a",'N')
		self.gtkLabelColored(self.lw12,str((self.ulog+self.superUlog)*100),"#221d6a",'N')
		self.gtkLabelColored(self.lw11,str((self.ulog+self.superUlog)*60),"#221d6a",'N')
		self.gtkLabelColored(self.lw10,str((self.ulog+self.superUlog)*40),"#221d6a",'N')
		self.gtkLabelColored(self.lw9,str((self.ulog+self.superUlog)*30),"#221d6a",'N')
		self.gtkLabelColored(self.lw8,str((self.ulog+self.superUlog)*20),"#221d6a",'N')
		self.gtkLabelColored(self.lw7,str((self.ulog+self.superUlog)*15),"#221d6a",'N')
		self.gtkLabelColored(self.lw6,str((self.ulog+self.superUlog)*10),"#221d6a",'N')
		self.gtkLabelColored(self.lw5,str((self.ulog+self.superUlog)*6),"#221d6a",'N')
		self.gtkLabelColored(self.lw4,str((self.ulog+self.superUlog)*4),"#221d6a",'N')
		self.gtkLabelColored(self.lw3,str((self.ulog+self.superUlog)*3),"#221d6a",'N')
		self.gtkLabelColored(self.lw2,str((self.ulog+self.superUlog)*2),"#221d6a",'N')
		self.gtkLabelColored(self.lw1,"0","#221d6a",'N')


		self.broj113 = self.broj113next
		self.broj113next = self.random13()

		self.ispishiBroj(self.broj113)
#-------------------------------------------------

#----menjanje kontrola----------------------------
	def changeControls(self, widget):

		#should I use sensitive true/false or not? hm... not for now
		#self.mainWindow.unset_flags(gtk.SENSITIVE)
		#self.mainWindow.set_sensitive(False)
		self.buttonChangeControls.set_sensitive(False)
		self.enableKeyChange=1
		self.labelStartC.set_text("Press new key...")
		
#-------------------------------------------------

#----Default kontrole----------------------------
	def setDefaultControls(self): 
		self.enableKeyChange=0
		self.superKreditC = "KP_Enter"
		self.ulogC = "KP_Add"
		self.startC = "KP_0"
		self.kupiC = "KP_2"
		self.slot1C = "z"
		self.slot2C = "x"
		self.slot3C = "c"

		self.manjaC = "comma"
		self.vecaC = "period"
		self.kasaC = "space"
		self.upisKontrola()
#-------------------------------------------------
#----buttonSetDefaultControls---------------------
	def buttonSetDefaultControls(self, event):
		self.setDefaultControls()
		self.ispisiKontrole()
		self.buttonChangeControls.set_sensitive(True)
#-------------------------------------------------
#----prikaz about ekrana sa uchitavanjem kontrola-
	def aboutShow(self, event=0):

		gladefile = str(self.path)+"about.glade"  
	        wTree = gtk.glade.XML(gladefile)
		self.aboutWindow = wTree.get_widget("aboutWindow")

		dic =	{
			"on_buttonHomepage_clicked" : self.homepageOpen
			}
		wTree.signal_autoconnect(dic)

		self.labelVersion = wTree.get_widget("labelVersion")
		self.labelVersion.modify_font(pango.FontDescription("sans Bold 32"))

		self.aboutWindow.show()

#-------------------------------------------------

#----prikaz preferences ekrana--------------------
	def preferencesShow(self, event=0):

		gladefile = str(self.path)+"preferences.glade"  
	        wTree = gtk.glade.XML(gladefile)
		self.preferencesWindow = wTree.get_widget("preferencesWindow")

		dic =	{
			"on_preferencesWindow_key_press_event" : self.keyPressKontrole,
			"on_buttonChange_clicked" : self.changeControls,
			"on_buttonDefault_clicked" : self.buttonSetDefaultControls
			}
		wTree.signal_autoconnect(dic)

		self.labelStartC = wTree.get_widget("labelStartC")
		self.labelSlot1C = wTree.get_widget("labelSlot1C")
		self.labelSlot2C = wTree.get_widget("labelSlot2C")
		self.labelSlot3C = wTree.get_widget("labelSlot3C")
		self.labelUlogC = wTree.get_widget("labelUlogC")
		self.labelKupiC = wTree.get_widget("labelKupiC")
		self.labelSupermeterC = wTree.get_widget("labelSupermeterC")
		self.labelKasaC = wTree.get_widget("labelKasaC")
		self.labelVecaC = wTree.get_widget("labelVecaC")
		self.labelManjaC = wTree.get_widget("labelManjaC")
		
		self.helpImage1 = wTree.get_widget("image1")
		self.helpImage2 = wTree.get_widget("image2")

		self.helpImage1.set_from_file(str(self.path)+"help/1.png")
		self.helpImage2.set_from_file(str(self.path)+"help/2.png")
		self.buttonChangeControls  = wTree.get_widget("buttonChange")
		self.ispisiKontrole()
		self.preferencesWindow.show()

#-------------------------------------------------

#----Uchitava kontrole iz ~/.payslots/controls----
	def uchitajKontrole(self):
		settingsDir = os.getenv('HOME')
		settingsDir = settingsDir+"/.payslots/"

		settingsFile = settingsDir+"controls"

		if not os.path.isdir(settingsDir):
			os.system("mkdir "+settingsDir)			
			self.setDefaultControls()

		elif not os.path.isfile(settingsFile):
			self.setDefaultControls()

		else:
			data = open(settingsFile).read()

			self.superKreditC = self.getBetween(data,"<superKredit>","</superKredit>")
			self.ulogC = self.getBetween(data,"<ulog>","</ulog>")
			self.startC =self.getBetween(data,"<start>","</start>")
			self.kupiC= self.getBetween(data,"<kupi>","</kupi>")
			self.slot1C = self.getBetween(data,"<slot1>","</slot1>")
			self.slot2C = self.getBetween(data,"<slot2>","</slot2>")
			self.slot3C = self.getBetween(data,"<slot3>","</slot3>")
		
			self.manjaC = self.getBetween(data,"<manja>","</manja>")
			self.vecaC = self.getBetween(data,"<veca>","</veca>")
			self.kasaC = self.getBetween(data,"<kasa>","</kasa>")

#-------------------------------------------------

#----upis kontrola u fajl-------------------------
	def upisKontrola(self):
		settingsFile = os.getenv('HOME')
		settingsFile = settingsFile+"/.payslots/controls"

		f =  open(settingsFile,"w") #// open for for write
		f.write("<slot1>"+self.slot1C+"</slot1>\n<slot2>"+self.slot2C+"</slot2>\n<slot3>"+self.slot3C+"</slot3>\n<kasa>"+self.kasaC+"</kasa>\n<start>"+self.startC+"</start>\n<kupi>"+self.kupiC+"</kupi>\n<superKredit>"+self.superKreditC+"</superKredit>\n<ulog>"+self.ulogC+"</ulog>\n<manja>"+self.manjaC+"</manja>\n<veca>"+self.vecaC+"</veca>")
		f.close()
#-------------------------------------------------

#----prikaz kontrola u labelima aboutWindowa------
	def ispisiKontrole(self):
		#self.uchitajKontrole()

		self.labelStartC.set_text(self.startC)
		self.labelSlot1C.set_text(self.slot1C)
		self.labelSlot2C.set_text(self.slot2C)
		self.labelSlot3C.set_text(self.slot3C)
		self.labelUlogC.set_text(self.ulogC)
		self.labelKupiC.set_text(self.kupiC)
		self.labelSupermeterC.set_text(self.superKreditC)
		self.labelKasaC.set_text(self.kasaC)
		self.labelVecaC.set_text(self.vecaC)
		self.labelManjaC.set_text(self.manjaC)
#-------------------------------------------------

#----key press control change---------------------
	def keyPressKontrole(self, widget, event):

		if self.enableKeyChange>0:
			import re
			key = gtk.gdk.keyval_name (event.keyval)
			
			if self.enableKeyChange==1:
				self.startC = key
				self.labelStartC.set_text(self.startC)
				self.labelSlot1C.set_text("Press new key...")		
				self.enableKeyChange=2

			elif self.enableKeyChange==2 and not self.startC==key:
				self.slot1C = key
				self.labelSlot1C.set_text(self.slot1C)
				self.labelSlot2C.set_text("Press new key...")		
				self.enableKeyChange=3

			elif self.enableKeyChange==3 and not self.startC==key and not self.slot1C==key:
				self.slot2C = key
				self.labelSlot2C.set_text(self.slot2C)
				self.labelSlot3C.set_text("Press new key...")		
				self.enableKeyChange=4

			elif self.enableKeyChange==4 and not self.startC==key and not self.slot1C==key and not self.slot2C==key:
				self.slot3C = key
				self.labelSlot3C.set_text(self.slot3C)
				self.labelUlogC.set_text("Press new key...")		
				self.enableKeyChange=5

			elif self.enableKeyChange==5 and not self.startC==key and not self.slot1C==key and not self.slot2C==key and not self.slot3C==key:
				self.ulogC = key
				self.labelUlogC.set_text(self.ulogC)
				self.labelKupiC.set_text("Press new key...")		
				self.enableKeyChange=6

			elif self.enableKeyChange==6 and not self.startC==key and not self.slot1C==key and not self.slot2C==key and not self.slot3C==key and not self.ulogC==key:
				self.kupiC = key
				self.labelKupiC.set_text(self.kupiC)
				self.labelSupermeterC.set_text("Press new key...")		
				self.enableKeyChange=7

			elif self.enableKeyChange==7 and not self.startC==key and not self.slot1C==key and not self.slot2C==key and not self.slot3C==key and not self.ulogC==key and not self.kupiC==key:
				self.superKreditC = key
				self.labelSupermeterC.set_text(self.superKreditC)
				self.labelKasaC.set_text("Press new key...")		
				self.enableKeyChange=8

			elif self.enableKeyChange==8 and not self.startC==key and not self.slot1C==key and not self.slot2C==key and not self.slot3C==key and not self.ulogC==key and not self.kupiC==key and not self.superKreditC==key:
				self.kasaC = key
				self.labelKasaC.set_text(self.kasaC)
				self.labelVecaC.set_text("Press new key...")		
				self.enableKeyChange=9

			elif self.enableKeyChange==9 and not self.startC==key and not self.slot1C==key and not self.slot2C==key and not self.slot3C==key and not self.ulogC==key and not self.kupiC==key and not self.superKreditC==key and not self.kasaC==key:
				self.vecaC = key
				self.labelVecaC.set_text(self.vecaC)
				self.labelManjaC.set_text("Press new key...")		
				self.enableKeyChange=10

			elif self.enableKeyChange==10 and not self.startC==key and not self.slot1C==key and not self.slot2C==key and not self.slot3C==key and not self.ulogC==key and not self.kupiC==key and not self.superKreditC==key and not self.kasaC==key and not self.vecaC==key:
				self.manjaC = key
				self.labelManjaC.set_text(self.manjaC)		

				self.enableKeyChange=0
				self.upisKontrola()
				self.buttonChangeControls.set_sensitive(True)
				#should I use sensitive true/false or not? hm... not for now
				#self.mainWindow.set_sensitive(True)
				#self.mainWindow.set_flags(gtk.SENSITIVE)

#-------------------------------------------------

#-------------------------------------------------
	def getBetween(self, data, first, last):
		x = len(first)
		begin = data.find(first) +x
		end = data.find(last, begin)
		return data[begin:end]
#-------------------------------------------------

#----popup menu-----------------------------------
	def mouseClick(self, widget, event):

		#popup
		if event.button == 3:
			self.popup.popup(None, None, None, 3, 0)

		#mouse controls
		elif event.button == 1 and self.ekran2inUse == False:
			#slot1
			if event.x > 47 and event.x < 264 and event.y > 300 and event.y < 510 and self.gameOver==False and self.KeyLock==False and not self.replace==4: self.stavi_u_slot1()

			#slot2
			elif event.x > 290 and event.x < 520 and event.y > 300 and event.y < 513 and self.gameOver==False and self.KeyLock==False and not self.replace==4: self.stavi_u_slot2()

			#slot3
			elif event.x > 545 and event.x < 760 and event.y > 302 and event.y < 510 and self.gameOver==False and self.KeyLock==False and not self.replace==4: self.stavi_u_slot3()
			
			#start/kupi
			elif event.x > 365 and event.x < 455 and event.y > 30 and event.y < 212 :
				if self.KeyLock==False and(not self.replace == 2 or self.mozePodiciUlog==True): self.key_press_start()
				elif self.KeyLock==False and self.gameOver==False and self.replace==2: self.key_press_kupi()

			#povecaj ulog
			elif event.x > 676 and event.x < 756 and event.y > 150 and event.y < 185 and self.mozePodiciUlog==True : self.povecajUlog()

			#prebaci super kredit
			elif event.x > 675 and event.x < 768 and event.y > 37 and event.y < 75 and (self.gameOver==True or self.replace==4): self.prebaciSuperKredit()

		elif event.button == 1 and self.ekran2inUse == True:
			#manja
			if event.x > 160 and event.x < 330 and event.y > 346 and event.y < 464 and self.promasajBrojac==0 : self.manja()
			#veca
			elif event.x > 525 and event.x < 695 and event.y > 346 and event.y < 464 and self.promasajBrojac==0 : self.veca()

			#veca
			elif event.x > 280 and event.x < 578 and event.y > 105 and event.y < 180 and self.promasajBrojac==0 : self.kasa()

#-------------------------------------------------

#----open homepage--------------------------------
	def homepageOpen(self, event=0):
		system("xdg-open http://www.njsoft.iz.rs")
#-------------------------------------------------




if __name__ == "__main__":
	hwg = PaySlots()
	gtk.main()
